[Pkg-kde-commits] rev 1532 - in people/chrsmrtn/qt-x11-free/debian:
. patches
Christopher Martin
chrsmrtn-guest at costa.debian.org
Mon Aug 22 15:59:54 UTC 2005
Author: chrsmrtn-guest
Date: 2005-08-22 15:59:53 +0000 (Mon, 22 Aug 2005)
New Revision: 1532
Added:
people/chrsmrtn/qt-x11-free/debian/patches/38_qtc_khotkeys_input_84434.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/39_qtc_qpopup_has_mouse.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/40_qtc_qpopup_ignore_mousepos.dpatch
Modified:
people/chrsmrtn/qt-x11-free/debian/changelog
people/chrsmrtn/qt-x11-free/debian/patches/00list
people/chrsmrtn/qt-x11-free/debian/patches/14_fix_kmenu.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/23_qtc_qclipboard_hack.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/24_qtc_qscrollview.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/25_qtc_qpixmap_mitshm.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/26_qtc_qpixmap_constants.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/27_qtc_qscrollview-windowactivate-fix.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/28_qtc_png-gamma-fix.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/29_qtc_fix_rotated_randr.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/30_qtc_qtoolbar_77047.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/33_qtc_qlistbox-crash.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/34_qtc_dnd_optimization.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/35_qtc_dnd_active_window_fix.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/36_qtc_dnd-timestamp-fix.dpatch
people/chrsmrtn/qt-x11-free/debian/patches/37_qtc_dragobject-dont-prefer-unknown.dpatch
Log:
A few new qt-copy patches. Add the 'upstream' patch numbers
to each qt-copy patch. Document new additions in the changelog.
Modified: people/chrsmrtn/qt-x11-free/debian/changelog
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/changelog 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/changelog 2005-08-22 15:59:53 UTC (rev 1532)
@@ -20,16 +20,20 @@
* Add the gtkstyle patch, in order to better support Bluecurve.
(Closes: #316108)
- * TODO When the server returns, describe these, and pick out other important
- ones.
* Add more patches from qt-copy:
- + 29_qtc_fix_rotated_randr.dpatch
- + 30_qtc_qtoolbar_77047.dpatch
- + 33_qtc_qlistbox-crash.dpatch
- + 34_qtc_dnd_optimization.dpatch
- + 35_qtc_dnd_active_window_fix.dpatch
- + 36_qtc_dnd-timestamp-fix.dpatch
- + 37_qtc_dragobject-dont-prefer-unknown.dpatch
+ + 29_qtc_fix_rotated_randr: Improve height/width calculations for rotated
+ screens.
+ + 30_qtc_qtoolbar_77047: Fix for the toolbar extension menu.
+ + 33_qtc_qlistbox-crash: Fixes a crash that shows up in KHTML.
+ + 34_qtc_dnd_optimization: Massive DND speedups.
+ + 35_qtc_dnd_active_window_fix: Fixes DND when windows are changing focus.
+ + 36_qtc_dnd-timestamp-fix: Suppresses needless popups when using DND.
+ + 37_qtc_dragobject-dont-prefer-unknown: Fixes DND with some apps, like
+ Mozilla.
+ + 38_qtc_khotkeys_input_84434: Fixes keyboard input action in KHotKeys.
+ + 39_qtc_qpopup_has_mouse, 40_qtc_qpopup_ignore_mousepos: Fixes the mouse
+ movement and position affecting keyboard navigation with popups and
+ menus.
* Enable tablet support.
Modified: people/chrsmrtn/qt-x11-free/debian/patches/00list
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/00list 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/00list 2005-08-22 15:59:53 UTC (rev 1532)
@@ -27,3 +27,6 @@
35_qtc_dnd_active_window_fix
36_qtc_dnd-timestamp-fix
37_qtc_dragobject-dont-prefer-unknown
+38_qtc_khotkeys_input_84434
+39_qtc_qpopup_has_mouse
+40_qtc_qpopup_ignore_mousepos
Modified: people/chrsmrtn/qt-x11-free/debian/patches/14_fix_kmenu.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/14_fix_kmenu.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/14_fix_kmenu.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,8 +1,5 @@
#! /bin/sh -e
-## 14_fix_kmenu.dpatch by Martin Loschwitz <madkiss at madkiss.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Fix kmenu displaying
+# Qt-Copy patch #47
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/23_qtc_qclipboard_hack.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/23_qtc_qclipboard_hack.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/23_qtc_qclipboard_hack.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,4 +1,5 @@
#! /bin/sh -e
+# Qt-Copy patch #48
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/24_qtc_qscrollview.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/24_qtc_qscrollview.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/24_qtc_qscrollview.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #61
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/25_qtc_qpixmap_mitshm.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/25_qtc_qpixmap_mitshm.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/25_qtc_qpixmap_mitshm.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #5
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/26_qtc_qpixmap_constants.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/26_qtc_qpixmap_constants.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/26_qtc_qpixmap_constants.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #7
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/27_qtc_qscrollview-windowactivate-fix.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/27_qtc_qscrollview-windowactivate-fix.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/27_qtc_qscrollview-windowactivate-fix.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #44
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/28_qtc_png-gamma-fix.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/28_qtc_png-gamma-fix.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/28_qtc_png-gamma-fix.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #53
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/29_qtc_fix_rotated_randr.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/29_qtc_fix_rotated_randr.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/29_qtc_fix_rotated_randr.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #32
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/30_qtc_qtoolbar_77047.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/30_qtc_qtoolbar_77047.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/30_qtc_qtoolbar_77047.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #51
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/33_qtc_qlistbox-crash.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/33_qtc_qlistbox-crash.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/33_qtc_qlistbox-crash.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #62
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/34_qtc_dnd_optimization.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/34_qtc_dnd_optimization.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/34_qtc_dnd_optimization.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #1
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/35_qtc_dnd_active_window_fix.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/35_qtc_dnd_active_window_fix.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/35_qtc_dnd_active_window_fix.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #2
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/36_qtc_dnd-timestamp-fix.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/36_qtc_dnd-timestamp-fix.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/36_qtc_dnd-timestamp-fix.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #37
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Modified: people/chrsmrtn/qt-x11-free/debian/patches/37_qtc_dragobject-dont-prefer-unknown.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/37_qtc_dragobject-dont-prefer-unknown.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/37_qtc_dragobject-dont-prefer-unknown.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -1,5 +1,5 @@
#! /bin/sh -e
-# Qt-Copy patch #
+# Qt-Copy patch #38
if [ $# -lt 1 ]; then
echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
Added: people/chrsmrtn/qt-x11-free/debian/patches/38_qtc_khotkeys_input_84434.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/38_qtc_khotkeys_input_84434.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/38_qtc_khotkeys_input_84434.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -0,0 +1,36 @@
+#! /bin/sh -e
+# Qt-Copy patch #56
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/src/kernel/qapplication_x11.cpp
++++ qt.patched/src/kernel/qapplication_x11.cpp
+@@ -5294,8 +5294,10 @@ static Bool qt_keypress_scanner(Display
+ qt_auto_repeat_data *d = (qt_auto_repeat_data *) arg;
+ if (d->error ||
+ event->xkey.window != d->window ||
+- event->xkey.keycode != d->keycode)
++ event->xkey.keycode != d->keycode) {
++ d->error = TRUE;
+ return FALSE;
++ }
+
+ if (event->type == XKeyPress) {
+ d->error = (! d->release || event->xkey.time - d->timestamp > 10);
Added: people/chrsmrtn/qt-x11-free/debian/patches/39_qtc_qpopup_has_mouse.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/39_qtc_qpopup_has_mouse.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/39_qtc_qpopup_has_mouse.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -0,0 +1,68 @@
+#! /bin/sh -e
+# Qt-Copy patch #59
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/src/widgets/qpopupmenu.cpp
++++ qt.patched/src/widgets/qpopupmenu.cpp
+@@ -253,6 +253,7 @@ public:
+ } scroll;
+ QSize calcSize;
+ QRegion mouseMoveBuffer;
++ uint hasmouse : 1;
+ };
+
+ static QPopupMenu* active_popup_menu = 0;
+@@ -272,6 +273,7 @@ QPopupMenu::QPopupMenu( QWidget *parent,
+ d->scroll.scrollableSize = d->scroll.topScrollableIndex = 0;
+ d->scroll.scrollable = QPopupMenuPrivate::Scroll::ScrollNone;
+ d->scroll.scrolltimer = 0;
++ d->hasmouse = 0;
+ isPopupMenu = TRUE;
+ #ifndef QT_NO_ACCEL
+ autoaccel = 0;
+@@ -1740,6 +1742,11 @@ void QPopupMenu::mouseMoveEvent( QMouseE
+
+ int item = itemAtPos( e->pos() );
+ if ( item == -1 ) { // no valid item
++ if( !d->hasmouse ) {
++ tryMenuBar( e );
++ return;
++ }
++ d->hasmouse = 0;
+ int lastActItem = actItem;
+ actItem = -1;
+ if ( lastActItem >= 0 )
+@@ -1751,6 +1758,7 @@ void QPopupMenu::mouseMoveEvent( QMouseE
+ }
+ } else { // mouse on valid item
+ // but did not register mouse press
++ d->hasmouse = 1;
+ if ( (e->state() & Qt::MouseButtonMask) && !mouseBtDn )
+ mouseBtDn = TRUE; // so mouseReleaseEvent will pop down
+
+@@ -2159,6 +2167,7 @@ void QPopupMenu::timerEvent( QTimerEvent
+ */
+ void QPopupMenu::leaveEvent( QEvent * )
+ {
++ d->hasmouse = 0;
+ if ( testWFlags( WStyle_Tool ) && style().styleHint(QStyle::SH_PopupMenu_MouseTracking, this) ) {
+ int lastActItem = actItem;
+ actItem = -1;
Added: people/chrsmrtn/qt-x11-free/debian/patches/40_qtc_qpopup_ignore_mousepos.dpatch
===================================================================
--- people/chrsmrtn/qt-x11-free/debian/patches/40_qtc_qpopup_ignore_mousepos.dpatch 2005-08-21 23:23:27 UTC (rev 1531)
+++ people/chrsmrtn/qt-x11-free/debian/patches/40_qtc_qpopup_ignore_mousepos.dpatch 2005-08-22 15:59:53 UTC (rev 1532)
@@ -0,0 +1,52 @@
+#! /bin/sh -e
+# Qt-Copy patch #60
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- qt.orig/src/widgets/qpopupmenu.cpp
++++ qt.patched/src/widgets/qpopupmenu.cpp
+@@ -254,6 +254,7 @@ public:
+ QSize calcSize;
+ QRegion mouseMoveBuffer;
+ uint hasmouse : 1;
++ QPoint ignoremousepos;
+ };
+
+ static QPopupMenu* active_popup_menu = 0;
+@@ -1354,6 +1355,7 @@ void QPopupMenu::show()
+ popupActive = -1;
+ if(style().styleHint(QStyle::SH_PopupMenu_SubMenuPopupDelay, this))
+ d->mouseMoveBuffer = QRegion();
++ d->ignoremousepos = QCursor::pos();
+ }
+
+ /*!
+@@ -1701,6 +1703,11 @@ void QPopupMenu::mouseReleaseEvent( QMou
+
+ void QPopupMenu::mouseMoveEvent( QMouseEvent *e )
+ {
++ if( e->globalPos() == d->ignoremousepos ) {
++ return;
++ }
++ d->ignoremousepos = QPoint();
++
+ motion++;
+
+ if ( parentMenu && parentMenu->isPopupMenu ) {
More information about the Pkg-kde-commits
mailing list